Subject: [PATCH 0/3] tcp: Validate recv queue on repair and related stuff

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 10 May 2012 15:49:13 +0400

As noted by Eric, no checks are performed when repairing data in tcp
read queue. He also suggested that the tcp_try_rmem_schedule() gets
out-lined for this.

This set does both of the above, more details are in patch comments.

Applies to net-next.

Thanks,
Pavel